import type { JDLRuntime } from '../types/runtime.js';
export declare function grammarParse(input: any, startRule?: string, runtime?: JDLRuntime): any;
export declare function getGrammarCst(input: any, startRule?: string, runtime?: JDLRuntime): any;
export declare function getGrammarAutoCompleteSuggestions(input: any, startRule?: string, runtime?: JDLRuntime): import("chevrotain").TokenType[];
export declare function getLexResult(input: any, startRule?: string, runtime?: JDLRuntime): any;
